/**
 * 工程管理页面 API
 */
import request from '@/utils/request'

/** 工程列表查询 */
export const queryProjListApi = (data) => {
  return request.get('/base/tbProject/list', {
    params: data
  })
}

/** 工程名称查询 */
export const queryProjNameApi = (data) => {
  return request.get('/base/tbProject/getList', {
    params: data
  })
}

/** 电压等级查询 */
export const queryVolLevelApi = (data) => {
  return request.get('/base/tbProDepart/getDataList', {
    params: data
  })
}

/** 所属项目部查询 */
export const queryDeptApi = (data) => {
  return request.get('/base/tbProDepart/list', {
    params: data
  })
}

/** 新增工程 */
export const addProjApi = (data) => {
  return request.post('/base/tbProject', data)
}

/** 修改工程 */
export const editProjApi = (data) => {
  return request.put('/base/tbProject', data)
}

/** 删除工程 */
export const deleteProjApi = (id) => {
  return request.delete(`/base/tbProject/${id}`)
}
